/**
 * 服务需求dict
 * @type {[{label: string, value: string, elTagType: string},{label: string, value: string, elTagType: string},{label: string, value: string, elTagType: string},{label: string, value: string, elTagType: string}]}
 */
export const serviceDemandStatusDict = [
  {
    value: "0",
    label: "待受理",
    elTagType: "primary",
  },
  {
    value: "1",
    label: "已受理",
    elTagType: "success",
  },
  {
    value: "2",
    label: "已驳回",
    elTagType: "danger",
  },
  {
    value: "4",
    label: "已结束",
    elTagType: "warning",
  },
];

/**
 * 技术需求dict
 * @type {[{label: string, value: string, elTagType: string},{label: string, value: string, elTagType: string},{label: string, value: string, elTagType: string},{label: string, value: string, elTagType: string},{label: string, value: string, elTagType: string}]}
 */
export const technologyDemandStatusDict = [
  {
    value: "0",
    label: "待受理",
    elTagType: "primary",
  },
  {
    value: "1",
    label: "已发布",
    elTagType: "success",
  },
  {
    value: "2",
    label: "已驳回",
    elTagType: "danger",
  },
  {
    value: "3",
    label: "草稿箱",
    elTagType: "primary",
  },
  {
    value: "4",
    label: "已结束",
    elTagType: "warning",
  },
];

// 1->专利|2->成果|3->服务需求|4->专家|5->科研项目|6->论文
export const seeLogTypeDict = [
  {
    value: "1",
    label: "专利",
    elTagType: "primary",
  },
  {
    value: "2",
    label: "成果",
    elTagType: "success",
  },

  {
    value: "3",
    label: "服务需求",
    elTagType: "danger",
  },
  {
    value: "4",
    label: "专家",
    elTagType: "warning",
  },
  {
    value: "5",
    label: "科研项目",
    elTagType: "warning",
  },
  {
    value: "6",
    label: "论文",
    elTagType: "warning",
  },
];

// 订单类型(1创新币充值2活动报名)
export const orderTypeDict = [
  {
    value: "1",
    label: "创新币充值",
    elTagType: "primary",
  },
  {
    value: "2",
    label: "活动报名",
    elTagType: "success",
  },
];

// 发票申请状态(0->未申请1->已申请2->已处理)
export const invoiceStatusDict = [
  {
    value: "0",
    label: "未申请",
    elTagType: "warning",
  },
  {
    value: "1",
    label: "已申请",
    elTagType: "primary",
  },
  {
    value: "2",
    label: "已处理",
    elTagType: "success",
  },
];

// 课题角色（1：承担单位，2：参与单位）
export const subjectRoleDict = [
  {
    value: "1",
    label: "承担单位",
    elTagType: "primary",
  },
  {
    value: "2",
    label: "参与单位",
    elTagType: "success",
  },
];
